Bug 2135531 - Install images utilizing systemd-boot rather than grub2 on aarch64 and x86_64
Summary: Install images utilizing systemd-boot rather than grub2 on aarch64 and x86_64
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 38
Hardware: aarch64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-17 19:48 UTC by Jeremy Linton
Modified: 2023-07-19 13:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-19 13:37:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jeremy Linton 2022-10-17 19:48:52 UTC
Description of problem: Grub2 is a large and complex installer supporting a wide range of boot methods. Systemd-boot OTOH is a fairly trivial shim that understands the linux loader syntax and utilizes UEFI system services to pick and boot a linux environment. Systemd-boot is utilized in a couple of places as the primary boot loader as it provides a more standards-oriented boot flow with a smaller attack surface. 

Let's provide an option (hidden from the UI for now) that allows fedora/etc to be installed with systemd-boot rather than grub2. 


Version-Release number of selected component (if applicable): 38+


Expected results: Utilizing a kernel boot line option like "inst.sdboot" a UEFI-capable machine is installed with systemd-boot as its bootloader.


Additional info: Currently, there is a PR: https://github.com/rhinstaller/anaconda/pull/4368 
This defect is being opened to fill in a field for the release readme, and as a discussion point. I will link a couple of supporting defects/PR's as well here.

Comment 1 Ben Cotton 2023-02-07 15:10:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 2 Vendula Poncova 2023-07-19 13:37:40 UTC
The support for systemd-boot will be available in Fedora 39 as an experimental feature.


Note You need to log in before you can comment on or make changes to this bug.